Loading...
Searching...
No Matches
Cache.h File Reference
`#include "ASLog.h"`
`#include "CostModel.h"`
`#include "Featurization.h"`
`#include "FunctionDAG.h"`
`#include "Halide.h"`
`#include "LoopNest.h"`
`#include "PerfectHashMap.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::CachingOptions
struct | Halide::Internal::Autoscheduler::Cache

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Typedefs

using | Halide::Internal::Autoscheduler::BlockCache = NodeMap<std::map<int, std::vector<IntrusivePtr<const LoopNest>>>>